r""" mr_clean: AAT/PPI utility for periodically cleaning things up

mr_clean cleans up:
* the download directory
* the spool directory
* the temp directory

This is configured through CAPO settings:
* edu.nrao.archive.configuration.JanitorSettings.spoolDirectory, string
* edu.nrao.archive.configuration.JanitorSettings.spoolDaysToKeep, int
* edu.nrao.archive.configuration.JanitorSettings.tempDirectory, string
* edu.nrao.archive.configuration.JanitorSettings.tempDaysToKeep, int
* edu.nrao.archive.configuration.JanitorSettings.downloadDirectory, string
* edu.nrao.archive.configuration.JanitorSettings.downloadDaysToKeep, int
* edu.nrao.archive.configuration.JanitorSettings.enabled, (true, false)

'enabled' is a boolean that controls whether mr_clean actually does anything or not, if it is set to false then the best mr_clean will do for you is parse the command line arguments, look at CAPO settings and tell you what settings it would have used.
"""